markdown 3.0.x-dev Drupal 10 deprecation details

Name and release Project type Usage count Top X project by usage Maintainers
markdown 3.0.x-dev Module 1189 10000 frjo, gisle, joelpittet
Status Next step Instructions Drupal.org issues
Fix deprecation errors found Manually review and fix errors Based on our detection methods, none of the errors found are covered by automated fixes. However the errors found should individually have documentation links to help understand the changes. Review and fix the issues manually. In case an issue fix is possible to automate, please submit an issue at drupal-rector. Drupal 10 compatibility issues
Filter errors
Occurrence in project Sort ascending All occurrences Affected projects Category Error
5 5 1 Twig API Reflection error: Provided node "Twig_Extension_GlobalsInterface" is not interface, but "class"
2 2 1 Other problem Call to deprecated method getVersionFromClass() of class Drupal​\​markdown​\​Util​\​Composer. Deprecated in markdown:8.x-2.0 and is removed from markdown:4.0.0. No replacement.
2 2 1 Other problem Call to method getVersionFromClass() of deprecated class Drupal​\​markdown​\​Util​\​Composer. Deprecated in markdown:8.x-2.0 and is removed from markdown:4.0.0. Use ​\​Composer​\​InstalledVersions instead.
2 2 1 Other problem Class [redacted] extends deprecated class Drupal​\​markdown​\​Exception​\​MarkdownException. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use Drupal​\​markdown​\​Exception​\​MarkdownExceptionInterface instead.
2 2 1 Other problem Call to method __construct() of deprecated class Exception. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use Drupal​\​markdown​\​Exception​\​MarkdownExceptionInterface instead.
2 2 1 Other problem Access to deprecated property $requiresFilter of class Drupal​\​markdown​\​Annotation​\​MarkdownAllowedHtml. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use the "requirements" properties instead.
2 2 1 Other problem Access to deprecated property $requires of class Drupal​\​markdown​\​Annotation​\​MarkdownExtension. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use the "requirements" property instead.
2 2 1 Other problem Access to deprecated property $versionConstraint of class Drupal​\​markdown​\​Annotation​\​InstallableLibrary. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use the "requirements" property instead.
2 8 3 Twig API Fetching class constant BLOCK_END_TYPE of deprecated class Twig_Token: since Twig 2.7, use "Twig​\​Token" instead
1 3897 3309 Info.yml or composer.json Value of core_version_requirement: ^8 || ^9 is not compatible with the next major version of Drupal core. See https://drupal.org/node/3070687.
1 22 20 Symfony API Symfony​\​Cmf​\​Component​\​Routing​\​RouteObjectInterface::ROUTE_OBJECT is deprecated and removed in Drupal 10. Use Drupal​\​Core​\​Routing​\​RouteObjectInterface::ROUTE_OBJECT instead.
1 1 1 Other problem Call to deprecated method getInstalledVersion() of class Drupal​\​markdown​\​Util​\​Composer. Deprecated in markdown:8.x-2.0 and is removed from markdown:4.0.0. No replacement.
1 1 1 Other problem Call to method getInstalledVersion() of deprecated class Drupal​\​markdown​\​Util​\​Composer. Deprecated in markdown:8.x-2.0 and is removed from markdown:4.0.0. Use ​\​Composer​\​InstalledVersions instead.
1 1 1 Other problem Class [redacted] extends deprecated class Drupal​\​markdown​\​BcSupport​\​FormStateDecoratorBase. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use Drupal​\​Core​\​Form​\​FormStateDecoratorBase instead.
1 1 1 Other problem Class [redacted] extends deprecated class Drupal​\​markdown​\​BcSupport​\​SubformState. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use Drupal​\​Core​\​Form​\​SubformState instead.
1 1 1 Other problem Call to method createForSubform() of deprecated class Drupal​\​markdown​\​BcSupport​\​SubformState. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use Drupal​\​Core​\​Form​\​SubformState instead.
1 1 1 Other problem Interface [redacted] extends deprecated interface Drupal​\​markdown​\​BcSupport​\​SubformStateInterface. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use Drupal​\​Core​\​Form​\​SubformStateInterface instead.
1 1 1 Other problem Interface [redacted] extends deprecated interface Drupal​\​markdown​\​BcSupport​\​ConfigurableInterface. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use Drupal​\​Component​\​Plugin​\​ConfigurableInterface instead.
1 1 1 Other problem Interface [redacted] extends deprecated interface Drupal​\​markdown​\​BcSupport​\​ObjectWithPluginCollectionInterface. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. Use Drupal​\​Core​\​Plugin​\​ObjectWithPluginCollectionInterface instead.
1 1 1 Other problem Usage of deprecated trait Drupal​\​markdown​\​BcSupport​\​PluginDependencyTrait in class [redacted]:3.0.0. Use Drupal​\​Core​\​Plugin​\​PluginDependencyTrait instead.
1 1 1 Other problem Call to deprecated method convertInstalledToLibraries() of class Drupal​\​markdown​\​PluginManager​\​InstallablePluginManager. Deprecated in markdown:8.x-2.0 and is removed from markdown:3.0.0. There is no replacement.
1 4 3 Twig API Class [redacted] extends deprecated class Twig_Node: since Twig 2.7, use "Twig​\​Node​\​Node" instead
1 1 1 Twig API Parameter $value of method Drupal​\​markdown​\​Twig​\​Node::__construct() has typehint with deprecated class Twig_Node: since Twig 2.7, use "Twig​\​Node​\​Node" instead
1 3 2 Twig API Call to method __construct() of deprecated class Twig​\​Node​\​Node: since Twig 2.7, use "Twig​\​Node​\​Node" instead
1 4 3 Twig API Class [redacted] extends deprecated class Twig_TokenParser: since Twig 2.7, use "Twig​\​TokenParser​\​AbstractTokenParser" instead
1 1 1 Twig API Parameter $token of anonymous function has typehint with deprecated class Twig_Token: since Twig 2.7, use "Twig​\​Token" instead


Results are from dataset #9317 from 2023-01-29T14:42. Report is ran by the Drupal Association regularly.